package objects

import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/tomo/theme"

// Separator is a line for visually separating elements.
type Separator tomo.Box

// NewSeparator creates a new text label.
func NewSeparator () Separator {
	this := Separator(tomo.NewBox())
	theme.Apply(this, theme.R("objects", "Separator", ""))
	return this
}

